Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.mediaproxy
Interface DatagramListener

All Known Implementing Classes:
  DynamicAddressChannel, MediaProxySession, RelaySession

    public interface DatagramListener

Listener for datagram packets received.

Author:
  Thiago Camargo

Method Summary
`boolean` | `datagramReceived(DatagramPacket datagramPacket)` Called when a datagram is received.

Method Detail

### datagramReceived

    boolean datagramReceived(DatagramPacket datagramPacket)

  Called when a datagram is received. If the method returns false, the packet MUST NOT be resent from the received Channel.

  Parameters:
    `datagramPacket` - the datagram packet received.
  Returns:
    ?

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.